tigase.jaxmpp.core.client.xmpp.modules

## Interface ContextAware

- All Known Subinterfaces:
    ConnectionManager, FileTransferNegotiator
  All Known Implementing Classes:
    AbstractIQModule, AbstractStanzaExtendableModule, AbstractStanzaModule, AdHocCommansModule, AuthModule, BookmarksModule, CapabilitiesModule, ChatStateExtension, ClientStateIndicationModule, ConnectionManager, DiscoveryModule, EntityTimeModule, FileTransferManager, FileTransferNegotiatorAbstract, FlexibleOfflineMessageRetrieval, HttpFileUploadModule, InBandRegistrationModule, JingleFileTransferNegotiator, JingleSocks5BytestreamsConnectionManager, MessageArchiveManagementModule, MessageCarbonsModule, MessageModule, MucModule, NonSaslAuthModule, OmemoModule, PEPExtension, PingModule, PresenceModule, PubSubModule, PushNotificationModule, ResourceBinderModule, RosterModule, SaslModule, SessionEstablishmentModule, Socks5BytestreamsConnectionManager, Socks5ConnectionManager, Socks5FileTransferNegotiator, SoftwareVersionModule, StreamFeaturesModule, StreamManagementModule, VCardModule, WebDnsResolver, WorkgroupAgentModule

      public interface ContextAware

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setContext(Context context)`

- - ### Method Detail

    - #### setContext

          void setContext(Context context)

Copyright © 2006–2020 Tigase. All rights reserved.